/*
 * except_i386.h
 *
 * Copyright 2002, Minoru Murashima. All rights reserved.
 * Distributed under the terms of the BSD License.
 *
 * except.c用ヘッダファイル
 */


#ifndef except_i386_h
#define except_i386_h


#ifndef ASM_FILE


enum{
	/* デバッグブレークポイントの設定条件。 */
	DEBUG_EXEC=0,
	DEBUG_WRITE=1,
	DEBUG_RW=3,
};

typedef struct{
	int save;		// FPUをセーブしているか
	int saveBefore;	// ユーザーハンドラ移行時にセーブしたFPUフラグ
}FPU_SAVE;


extern void clearFpuBeforeProc();
extern void init_except();
extern void setDebug(uint,int);


#endif


#endif
